Skip to content
Get started

Update

client.teams.ipFilters.update(stringfilterID, IPFilterUpdateParams { teamId, enabled, instruction, name } params, RequestOptionsoptions?): IPFilterUpdateResponse { filter }
PUT/teams/{teamId}/ip-filters/{filterId}

Enable, disable, or override a built-in or custom IP-detection filter for a team

ParametersExpand Collapse
filterID: string
params: IPFilterUpdateParams { teamId, enabled, instruction, name }
teamId: string

Path param: The team the filter belongs to

enabled?: boolean

Body param: Whether the filter is active

instruction?: string

Body param: Natural-language detection instruction

maxLength2000
minLength1
name?: string

Body param: Display name for the filter

ReturnsExpand Collapse
IPFilterUpdateResponse { filter }
filter: unknown

The updated filter, including its enabled state

Update

import Scenario from '@scenario-labs/sdk';

const client = new Scenario({
  apiKey: process.env['SCENARIO_SDK_API_KEY'], // This is the default and can be omitted
  apiSecret: process.env['SCENARIO_SDK_API_SECRET'], // This is the default and can be omitted
});

const ipFilter = await client.teams.ipFilters.update('filterId', { teamId: 'teamId' });

console.log(ipFilter.filter);
{
  "filter": {}
}
Returns Examples
{
  "filter": {}
}